# HG changeset patch
# User Pooja Venkatesan <pooja@multicorewareinc.com>
# Date 1541396041 -19800
#      Mon Nov 05 11:04:01 2018 +0530
# Branch stable
# Node ID daf2785a189391ce6964f673858dc8234c641807
# Parent  471726d3a0462739ff8e3518eb1a1e8a01de4e8d
Fix issue #441 build error in VMAF lib

diff -r 471726d3a046 -r daf2785a1893 source/encoder/api.cpp
--- a/source/encoder/api.cpp	Wed Oct 31 16:35:48 2018 +0530
+++ b/source/encoder/api.cpp	Mon Nov 05 11:04:01 2018 +0530
@@ -1501,7 +1501,7 @@
     else
         x265_log(NULL, X265_LOG_ERROR, "Invalid format\n");
   
-    compute_vmaf(&score, vcd->format, data->width, data->height, read_frame, data, vcd->model_path, vcd->log_path, vcd->log_fmt, vcd->disable_clip, vcd->disable_avx, vcd->enable_transform, vcd->phone_model, vcd->psnr, vcd->ssim, vcd->ms_ssim, vcd->pool); 
+    compute_vmaf(&score, vcd->format, data->width, data->height, read_frame, data, vcd->model_path, vcd->log_path, vcd->log_fmt, vcd->disable_clip, vcd->disable_avx, vcd->enable_transform, vcd->phone_model, vcd->psnr, vcd->ssim, vcd->ms_ssim, vcd->pool, vcd->thread, vcd->subsample, vcd->enable_conf_interval); 
 
     return score;
 }
@@ -1603,7 +1603,7 @@
         read_frame = read_frame_8bit;
     else
         read_frame = read_frame_10bit;
-    compute_vmaf(&score, vcd->format, vmafframedata->width, vmafframedata->height, read_frame, vmafframedata, vcd->model_path, vcd->log_path, vcd->log_fmt, vcd->disable_clip, vcd->disable_avx, vcd->enable_transform, vcd->phone_model, vcd->psnr, vcd->ssim, vcd->ms_ssim, vcd->pool);
+    compute_vmaf(&score, vcd->format, vmafframedata->width, vmafframedata->height, read_frame, vmafframedata, vcd->model_path, vcd->log_path, vcd->log_fmt, vcd->disable_clip, vcd->disable_avx, vcd->enable_transform, vcd->phone_model, vcd->psnr, vcd->ssim, vcd->ms_ssim, vcd->pool, vcd->thread, vcd->subsample, vcd->enable_conf_interval);
  
     return score;
 }
diff -r 471726d3a046 -r daf2785a1893 source/x265.h
--- a/source/x265.h	Wed Oct 31 16:35:48 2018 +0530
+++ b/source/x265.h	Mon Nov 05 11:04:01 2018 +0530
@@ -688,9 +688,12 @@
     int ssim;
     int ms_ssim;
     char *pool;
+    int thread;
+    int subsample;
+    int enable_conf_interval;
 }x265_vmaf_commondata;
 
-static const x265_vmaf_commondata vcd[] = { { NULL, (char *)"/usr/local/share/model/vmaf_v0.6.1.pkl", NULL, NULL, 0, 0, 0, 0, 0, 0, 0, NULL } };
+static const x265_vmaf_commondata vcd[] = { { NULL, (char *)"/usr/local/share/model/vmaf_v0.6.1.pkl", NULL, NULL, 0, 0, 0, 0, 0, 0, 0, NULL, 0, 1, 0 } };
 
 /* x265 input parameters
  *
